Loading...
Searching...
No Matches
su_errno.h File Reference

Errno handling. More...

`#include "sofia-sip/su_config.h"`
`#include <errno.h>`
Include dependency graph for su_errno.h:

Go to the source code of this file.

## Macros

#define | SU_ERRNO_H
| Defined when <sofia-sip/su_errno.h> has been included.
#define | su_errno(void)
| The latest su error.

## Functions

char const * | su_strerror (int e)
| Return string describing su error code.
int | su_seterrno (int)
| Set the su error.

## Detailed Description

Errno handling.

Source-code compatibility with Windows (having separate errno for socket library and C libraries).

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Thu Dec 22 18:16:06 EET 2005 pessi

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.